# X880_ROS Class Reference

`#include <x880.h>`

Inheritance diagram for X880_ROS:

List of all members.

## Public Types

enum | Choices { e_invoke, e_returnResult, e_returnError, e_reject }

## Public Member Functions

| X880_ROS (unsigned tag=0, TagClass tagClass=UniversalTagClass)
| operator X880_Invoke & ()
| operator const X880_Invoke & () const
| operator X880_ReturnResult & ()
| operator const X880_ReturnResult & () const
| operator X880_ReturnError & ()
| operator const X880_ReturnError & () const
| operator X880_Reject & ()
| operator const X880_Reject & () const
PBoolean | CreateObject ()
PObject * | Clone () const

## Member Enumeration Documentation

enum X880_ROS::Choices

Enumerator:

  e_invoke |
  e_returnResult |
  e_returnError |
  e_reject |

## Constructor & Destructor Documentation

X880_ROS::X880_ROS | ( | unsigned | tag = `0`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

X880_ROS::operator X880_Invoke & | ( |  | ) |

X880_ROS::operator const X880_Invoke & | ( |  | ) | const

X880_ROS::operator X880_ReturnResult & | ( |  | ) |

X880_ROS::operator const X880_ReturnResult & | ( |  | ) | const

X880_ROS::operator X880_ReturnError & | ( |  | ) |

X880_ROS::operator const X880_ReturnError & | ( |  | ) | const

X880_ROS::operator X880_Reject & | ( |  | ) |

X880_ROS::operator const X880_Reject & | ( |  | ) | const

PBoolean X880_ROS::CreateObject | ( |  | ) |

PObject* X880_ROS::Clone | ( |  | ) | const

The documentation for this class was generated from the following file:

- x880.h